<?php

namespace Litecms\Vendor\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Litecms\Vendor\Interfaces\VendorRepositoryInterface;

class VendorPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Litecms\Vendor\Interfaces\VendorRepositoryInterface $vendor
     *
     * @return type
     */
    public function __construct(VendorRepositoryInterface $vendor)
    {
        $this->model = $vendor;
        parent::__construct();
    }

    /**
     * Show vendor's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $vendors = $this->model->all();

        return $this->theme->of('vendor::public.vendor.index', compact('vendors'))->render();
    }

    /**
     * Show vendor.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $vendor = $this->model->findBySlug($slug);

        return $this->theme->of('vendor::public.vendor.show', compact('vendor'))->render();
    }
}
