<?php

namespace Litecms\Vendor\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Vendor extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('vendor.vendor.fillable');
        $this->uploads = config('vendor.vendor.uploadable');
        $this->uploadRootFolder = config('vendor.vendor.upload_root_folder');
        $this->table = config('vendor.vendor.table');
    }
}
